
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>volley 框架简易封装使用 / 憋错料</title>

    <meta name="description" content="volley 框架简易封装使用 给自己留个记录 仅仅是请求数据的 import android.app.Dialog; import android.content.Context; import android.util.Log; import com.android.volley.DefaultRetryPolicy; import com.android.volley.Request; import com.android.volley.Response; import com.google.gson.Gson; imp">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">volley 框架简易封装使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>给自己留个记录 仅仅是请求数据的</p>
<pre>import android.app.Dialog;
import android.content.Context;
import android.util.Log;

import com.android.volley.DefaultRetryPolicy;
import com.android.volley.Request;
import com.android.volley.Response;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.mohism.jiayouchina.JiaYouApplication;

import java.util.Map;

import utils.GsonUtil;
import utils.StringUtil;

/**
 * @author liugongce
 */
public class HttpSender {
    private String mRequestUrl = "";
    private OnHttpResListener onHttpResListener;// 回调接口
    private String name = "http请求描述";// 请求描述
    private Object mRequestObj = null;
    private String firstCharForGetRequest = "?";
    private boolean isShowDialog;
    private Dialog dialog;
    private Context context;
    private String encoding ;
    public int connectTimeOut = 20 * 1000;
    private String tag;
    private MyStringRequest request = null;
    private Map&lt;String, String&gt; map;
    private int what;//给线程加标记
    // -------------------------------------------构造函数--------------------------------------------------------

    private HttpSender(Builder builder) {
        this.mRequestUrl = builder.mRequestUrl;
        this.onHttpResListener = builder.onHttpResListener;
        this.name = builder.name;
        this.mRequestObj = builder.mRequestObj;
        this.isShowDialog = builder.isShowDialog;
        this.context = builder.context;
        this.connectTimeOut = builder.connectTimeOut;
        this.encoding=builder.enCoding;
        this.what=builder.what;
        this.dialog=builder.dialog;
        this.tag = (builder.tag == null || builder.tag.equals("")) ? "abctag" : tag;
    }

    // -------------------------------------------------公开调用方法------------------------------------------

    /**
     * post请求
     */
    public void sendPost() {
        if(NetUtils.isNetworkConnected(context)) {
            request(0);
        }else{
            if (onHttpResListener != null) {
                onHttpResListener.noInternet();
            }
        }
    }

    /**
     * get请求
     */
    public void sendGet() {
        if(NetUtils.isNetworkConnected(context)) {//如果有网络
            request(1);
        }else {
            if (onHttpResListener != null) {
                onHttpResListener.noInternet();
            }
        }
    }
    // --------------------------------------------回调操作------------------------------------------------

    /**
     * 请求成功回调
     */
    private Response.Listener&lt;String&gt; succListener = response -&gt; {
        dismissDialog();
        if (onHttpResListener != null) {
            onHttpResListener.doSuccess(response,what);
        }
    };
    /**
     * 请求失败的回调
     */
    private Response.ErrorListener errListener = error -&gt; {
        dismissDialog();
        if (onHttpResListener != null) {
            onHttpResListener.otherError(error,what);
        }
    };

    // ------------------------------------------------请求操作----------------------------------------------
    private void request(int method) {
        if (StringUtil.isBlank(mRequestUrl)) {
            Log.i("Info", name + "POST请求 Url为空");
            return;
        }
        if (mRequestObj != null) {
            String json = GsonUtil.getInstance().toJson(mRequestObj);
            map = new Gson().fromJson(json, new TypeToken&lt;Map&lt;String, String&gt;&gt;() {
            }.getType());
        }
        if (method == 0) {//post请求

            request = new MyStringRequest(com.android.volley.Request.Method.POST, mRequestUrl, succListener, errListener,encoding) {
                @Override
                protected Map&lt;String, String&gt; getParams() {
                    return map;
                }
            };
            Log.i("Info", "POST请求名称: " + name + "POST请求Url: "
                    + mRequestUrl.toString());
                if(map!=null) {
                    for (Map.Entry&lt;String, String&gt; entry : map.entrySet()) {
                        String key = entry.getKey().trim();
                        String value = entry.getValue().toString().trim();
                        Log.i("Info", "POST提交参数: " + key + " = " + value);//打印信息
                    }
                }
        } else {//get请求
            StringBuilder sb = new StringBuilder(mRequestUrl);
            if (mRequestUrl.contains("?")) {
                firstCharForGetRequest = "&amp;";
            }
            sb.append(firstCharForGetRequest);
            if(map!=null) {
                for (Map.Entry&lt;String, String&gt; entry : map.entrySet()) {
                    String key = entry.getKey().trim();
                    String value = entry.getValue().toString().trim();
                    sb.append(key + "=" + value.toString());
                    sb.append("&amp;");
                }
                sb.deleteCharAt(sb.length() - 1);
            }
            request = new MyStringRequest(Request.Method.GET, sb.toString(), succListener, errListener,encoding);
            Log.i("Info", "GET请求名称: " + name + "GET请求Url: " + sb.toString());//打印信息
        }
        request.setRetryPolicy(new DefaultRetryPolicy(connectTimeOut, 1, 1.0f));//设置请连接超时时间
        request.setTag(tag);
        JiaYouApplication.mInstance.getRequestQueue().add(request);
        showDialog();
    }

    /**
     * 显示等待对话框
     */
    public void showDialog() {
        try {
            if (!isShowDialog) {
                return;
            }
            if(dialog!=null&amp;&amp;!dialog.isShowing()){
                dialog.show();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * 关闭等待对话框
     */
    public void dismissDialog() {
        try {
            if (dialog != null &amp;&amp; dialog.isShowing())
                dialog.dismiss();
        } catch (Exception e) {
        }
    }

    public static class Builder {
        private String mRequestUrl = "";
        private OnHttpResListener onHttpResListener;// 回调接口
        private String name = "http请求描述";// 请求描述
        private Object mRequestObj = null;
        private boolean isShowDialog;
        private Context context;
        private String enCoding="UTF-8";
        public int connectTimeOut = 20 * 1000;
        private String tag;
        private int what=-1;
        private Dialog dialog;
        public  Builder(Context context){
            this.context=context;
        }
        /**
         * @param mRequestUrl 请求地址
         * @return
         */
        public Builder setRequestUrl(String mRequestUrl) {
            this.mRequestUrl = mRequestUrl;
            return this;
        }

        /**
         * 请求接口标记
         *
         * @param name
         * @return
         */
        public Builder setRequestName(String name) {
            this.name = name;
            return this;
        }

        /**
         * @param mRequestObj 参数（可以是实体类对象，也可以是一个Map对象）
         * @return
         */
        public Builder setRequestParams(Object mRequestObj) {
            this.mRequestObj = mRequestObj;
            return this;
        }
        /**
         * @param connectTimeOut 设置连接超时时间
         * @return
         */
        public Builder setConnectTimeOut(int connectTimeOut) {
            this.connectTimeOut = connectTimeOut;
            return this;
        }

        /**
         * @param tag 设置标签，对请求进行标记
         * @return
         */
        public Builder setRequestTag(String tag) {
            this.tag = tag;
            return this;
        }

        /**
         * @return 设置请求编码 默认UTF-8
         */
        public Builder setRequestEncoding(String enCoding){
            this.enCoding=enCoding;
            return this;
        }
        /**
         * @param onHttpResListener 设置回调监听
         * @return
         */
        public Builder setOnHttpListener(OnHttpResListener onHttpResListener) {
            this.onHttpResListener = onHttpResListener;
            return this;
        }

        /**
         * @param dialog 设置想要显示的弹出框
         * @return
         */
        public Builder setDialog(Dialog dialog){
            this.dialog=dialog;
            return this;
        }
        /**
         * @param what 给每个请求打上标记，为了区分在同一个页面中的多个请求
         * @return
         */
        public Builder setWhat(int what){
            this.what=what;
            return  this;
        }
        /**
         * @return 返回一个请求对象
         */
        public HttpSender build() {
            return new HttpSender(this);
        }

    }
}</pre>
<p>调用方法</p>
<pre> getBaseMapWithUid();
        baseMap.put("p", p + "");
        baseMap.put("nums", nums + "");
        baseMap.put("status", status + "");
        new HttpSender.Builder(getActivity())
                .setRequestUrl(Urls.GetUserOrder)
                .setRequestParams(baseMap)
                .setRequestName("获取订单")
                .setWhat(0x123)
                .setRequestTag("OrderRequest")
                .setOnHttpListener(new OnHttpResListenerIml() {
                    @Override
                    public void doSuccess(String data, int what) {
                     //请求成功处理代码       

                    }
                }).build().sendPost();            </pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-25 20:34:47 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/%e5%9c%b0%e5%9d%80/" title="地址">地址</a>, <a href="https://www.biecuoliao.com/tag/blank/" title="blank">blank</a>, <a href="https://www.biecuoliao.com/tag/ram/" title="ram">ram</a>, <a href="https://www.biecuoliao.com/tag/%e6%93%8d%e4%bd%9c/" title="操作">操作</a>, <a href="https://www.biecuoliao.com/tag/exce/" title="exce">exce</a>, <a href="https://www.biecuoliao.com/tag/object/" title="object">object</a>, <a href="https://www.biecuoliao.com/tag/build/" title="build">build</a>, <a href="https://www.biecuoliao.com/tag/volley/" title="volley">volley</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>volley 框架简易封装使用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41o2xP0.html" rel="bookmark">Android之Volley框架源码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				临近毕业,各种事情各种忙.我也没有认真专注写过博客,最近仔细看了Volley框架的使用及其源码,思前想后,想挑战一下自己,还是写一篇博客来分享,如有错误,欢迎吐槽. Volley简介 网络请求是一个App很重要的一部分,android系统只是提供了一个平台,而android应用则是基于这个平台上进行展示数据,起到与用户进行交互的作用,数据来源于服务端,而二者之间必须通过互联网进行传输数据,在Android系统发布初期,很多开发者都是在Apache协会的Http协议的基础上进行网络请求方法的封装,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q0xArN3.html" rel="bookmark">Volley框架源码浅析（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				尊重原创http://blog.csdn.net/yuanzeyao/article/details/25837897 从今天开始,我打算为大家呈现关于Volley框架的源码分析的文章,Volley框架是Google在2013年发布的,主要用于实现频繁而且粒度比较细小的Http请求,在此之前Android中进行Http请求通常是使用HttpUrlConnection和HttpClient进行,但是使用起来非常麻烦,而且效率比较地下,我想谷歌正式基于此种原因发布了Volley框架,其实出了Voll			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jyjN9M.html" rel="bookmark">Volley框架源码浅析（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				尊重原创 http://write.blog.csdn.net/postedit/25921795 在前面的一片文章Volley框架浅析(一)中我们知道在RequestQueue这个类中,有两个队列:本地队列和网络队列 /** The cache triage queue. */ private final PriorityBlockingQueue&lt;Request&lt;?&gt;&gt; mCacheQueue = new PriorityBlockingQueue&lt;Request&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35bXr24.html" rel="bookmark">Volley框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Volley框架 volley是谷歌官方在2013年推出的Android平台上的网络通信库 特点 网络通信更快,更简单,开发效率高,稳定性高. 对get和post网络请求以及网络图片高效的异步处理请求. 可以对网络请求进行优先级排序处理. 网络请求的缓存. 多级别取消请求. 和Activity生命周期的联动. 缺点不适合数据的上传与下载 Get和Post请求接口的使用请求对象 StringRequest 返回结果类型不确定(它包含后面两种) StringRequest request = new			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vvNvk3.html" rel="bookmark">Volley框架源码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Volley框架分析Github链接 Volley框架分析 Volley源码解析 为了学习Volley的网络框架,我在AS中将Volley代码重新撸了一遍,感觉这种照抄代码也是一种挺好的学习方式.再分析Volley源码之前,我们先考虑一下,如果我们自己要设计一个网络请求框架,需要实现哪些事情,有哪些注意事项? 我的总结如下: 需要抽象出request请求类(包括url, params, method等),抽象出request请求类之后,我们可以对其继承从而实现丰富的扩展功能. 需要抽象出resp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dAo7n3.html" rel="bookmark">安卓中自定义并使用Volley框架请求网络</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家好,今天我们讲一下如何使用Volley框架请求网络,为何要使用Volley框架,这就要先说一下使用Volley框架请求网络的优点了,volley是易于定制的,即你可以根据需求来设定volley框架,还有volley框架支持请求的优先级设定,即你可以自主设定网络请求的优先级,还有就是volley框架请求支持取消单个或多个请求,这个一会设置请求的时候会特别说明,还有它可以自动调度网络请求,至于其他的如代码的健壮性.支持多并发等等就不一一列举了,说了那么多下面就介绍如何自定义并使用Volley框架			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWVRmm4.html" rel="bookmark">Android网络通信Volley框架源码浅析（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				尊重原创 http://write.blog.csdn.net/postedit/26002961 通过前面浅析(一)和浅析(二)的分析,相信大家对于Volley有了初步的认识,但是如果想更深入的理解,还需要靠大家多多看源码. 这篇文章中我们主要来研究一下使用Volley框架请求大量图片的原理,在Android的应用中,通过http请求获取的数据主要有三类: 1.json 2.xml 3.Image 其中json和xml的获取其实原理很简单,使用Volley获取感觉有点大财小用了,了解Volle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3515Q13.html" rel="bookmark">android Volley 框架详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开发android应用很多时候都要涉及网络操作,Android SDK中提供了HttpClient 和 HttpUrlConnection两种方式用来处理网络操作,但当应用比较复杂的时候需要我们编写大量的代码处理很多东西:图像缓存,请求的调度等等: 而Volley框架就是为解决这些而生的,它与2013年Google I/O大会上被提出:使得Android应用网络操作更方便更快捷:抽象了底层Http Client等实现的细节,让开发者更专注与产生RESTful Request.另外,Volley在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Myovwj3.html" rel="bookmark">Android网络通信Volley框架源代码浅析（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				尊重原创 http://write.blog.csdn.net/postedit/25921795 在前面的一片文章Volley框架浅析(一)中我们知道在RequestQueue这个类中,有两个队列:本地队列和网络队列 /** The cache triage queue. */ private final PriorityBlockingQueue&lt;Request&lt;?&gt;&gt; mCacheQueue = new PriorityBlockingQueue&lt;Request&lt;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDGen4.html" rel="bookmark" class="title">mvc3</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JD1D90.html" rel="bookmark" class="title">Linux下安装Qt5&period;6&period;1</a>
					<div>
						我的环境:CentOS 6.7  64位. 1.下载Qt: Qt版本有很多,自己比较菜,希望安装的过程越简单越好,感觉比较新的版本会好安装一些,5.4版本还要更新 /usr/lib64/libstdc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mr5EM.html" rel="bookmark" class="title">MySQL中order by中关于NULL值的排序问题</a>
					<div>
						MySQL中order by 排序遇到NULL值的问题 MySQL数据库,在order by排序的时候,如果存在NULL值,那么NULL是最小的,ASC正序排序的话,NULL值是在最前面的. 如果我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqRYJ0.html" rel="bookmark" class="title">运行时机制简介</a>
					<div>
						Runtime Runtime is everything between your each function call! Objective-C 程序可以在三个不同层面与运行时系统交互: pObj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDN8BM.html" rel="bookmark" class="title">C&plus;&plus;一行字符串处理</a>
					<div>
						有时候编程需要处理一行字符串,包括空格连接起来的一行.直接用cin的话读到空格就会停止. 实用的方法是使用getline函数配个stringstream流操作,简易代码如下. #include &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MB1AKq4.html" rel="bookmark" class="title">flash跨域策略文件crossdomain&period;xml配置详解</a>
					<div>
						来源:http://www.2cto.com/Article/201108/100008.html 0x01 简介 flash在跨域时唯一的限制策略就是crossdomain.xml文件,该文件限制了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYOnYM.html" rel="bookmark" class="title">python&mdash;&mdash;第二天</a>
					<div>
						类和实例: 创建实例是通过类名+()实现 但是!可以自由地给每个实例变量绑定新的属性(特指以前在类定义中没有的属性) __init__方法用来给类定义必要的几个属性,第一个参数永远是self type ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aDOLEM.html" rel="bookmark" class="title">zoj 3647 智商题</a>
					<div>
						此题就是求格点中三角形的个数. 就是找出三点不共线的个数. n*m的矩形中有(n+1)*(m+1)个格点. 选出三个点的总个数为:C((n+1)*(m+1),3). 减掉共线的情况就是答案了. 首先是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEqWg0.html" rel="bookmark" class="title">nyoj 739 笨蛋的难题四</a>
					<div>
						笨蛋难题四 时间限制:1000 ms  |  内存限制:65535 KB 难度:3 描述 这些日子笨蛋一直研究股票,经过调研,终于发现xxx公司股票规律,更可喜的是 笨蛋推算出这家公司每天的股价,为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg526R3.html" rel="bookmark" class="title">保存Bitmap到SD卡</a>
					<div>
						public static void saveBitmapInExternalStorage(Bitmap bitmap,Context context) { try { if(IsExternalS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YX5oqM.html" rel="bookmark" class="title">Yougth的最大化（好题，二分查找 0 1分数规划）</a>
					<div>
						Yougth的最大化 时间限制:1000 ms  |  内存限制:65535 KB 难度:4 描述 Yougth现在有n个物品的重量和价值分别是Wi和Vi,你能帮他从中选出k个物品使得单位重量的价值最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEvWZD0.html" rel="bookmark" class="title">动画 -- 点击按钮 -- 顺时针旋转一圈</a>
					<div>
						1 findViewById(R.id.btnRotateMe).setOnClickListener(new View.OnClickListener() { 2 @Override 3 publi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AZreaM.html" rel="bookmark" class="title">移动电源厂商大批量死亡 为何风投不上门？</a>
					<div>
						智能移动终端,尤其是智能手机的发展,带动一大批周边产品的兴起.有时候,千万别小瞧这些周边中不起眼的事物,可能其中蕴藏的利益超乎你的想象!别说手机壳.膜.套等的疯狂暴利,单是已经被用户司空见惯的移动电源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglDmR0.html" rel="bookmark" class="title">PCIE多功能交换机之七：单NT到双NT</a>
					<div>
						1.单NTB设置 NTB有多种使用方式,一种常使用的模式是单NT Active-Passive模式,整体结构如下图: 为了实现这种模式,具体到EEPROM设置上,它要求保证节点0上的EEPROM里使能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RnWzP0.html" rel="bookmark" class="title">android编程常见问题- Resource ID &num;0x7f070001 type &num;0x12 is not valid</a>
					<div>
						问题说明: AndroidRuntime(1705): java.lang.RuntimeException: Unable to start activity ComponentInfo{com.e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLv1ov3.html" rel="bookmark" class="title">Finding Nemo</a>
					<div>
						Time Limit: 2000MS   Memory Limit: 30000K Total Submissions: 7376   Accepted: 1717 Description Nemo  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm9ggVM.html" rel="bookmark" class="title">html将table的宽度总和设置为和div宽度相同的方法</a>
					<div>
						&lt;table class=&quot;table table-striped table-bordered table-hover&quot; table-layout=fixed; width ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqBRr0.html" rel="bookmark" class="title">week2-结对编程【网页实现四则运算】</a>
					<div>
						任务分配: 1 2 队友:林凯(学号075) 程序链接 码云链接					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzWnB4.html" rel="bookmark" class="title">css设置background图片的位置实现居中</a>
					<div>
						/* 例 1: 默认值 */ background-position: 0 0; /* 元素的左上角 */ /* 例 2: 把图片向右移动 */ background-position: 75px 0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pNNZP0.html" rel="bookmark" class="title">uwp开发：Slider控件和MediaElement绑定，实现拖动播放。</a>
					<div>
						1.实现原理: Slider拖动时,Value值改变,MediaElement播放时,Position值改变.所以,只需将Slider的Value属性和MediaElement的Position属性进 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
